GuideLab API

Update Scanner Connection

Update a scanner connection's name, test mode, sort order, or active status.

PUT
/scanner-connections/{id}

Update a scanner connection's name, test mode, sort order, or active status.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Path Parameters

id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PUT "https://example.com/scanner-connections/550e8400-e29b-41d4-a716-446655440000" \  -H "Content-Type: application/json" \  -d '{}'
{  "connection": {    "id": "string",    "organizationId": "string",    "scannerType": "string",    "name": "string",    "connectionStatus": "string",    "statusMessage": "string",    "testMode": true,    "sortOrder": 0,    "isActive": true,    "createdAt": "string",    "updatedAt": "string",    "lastConnectedAt": "string",    "lastSyncAt": "string"  }}
Empty
Empty
Empty